Invite subscribers
POST
Email invitations to subscribe to a project.
API-key permission: subscribers invite. Business sessions and resource-authorized OAuth tokens are also supported.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
projectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidapplication/json- body
subscribers*array<>Items
1 <= items <= 100OK
application/json- response
invited*array<>skipped*array<>invitationAllowance*curl -X POST 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/subscribers/invite' \
-H 'Content-Type: application/json' \
-d '{
"subscribers": [
{
"name": "string",
"email": "[email protected]"
}
]
}'Example Response
{
"invited": [
{
"name": "string",
"email": "[email protected]"
}
],
"skipped": [
{
"name": "string",
"email": "[email protected]",
"reason": "already_subscribed"
}
],
"invitationAllowance": {
"used": 0,
"limit": 100,
"remaining": 0,
"resetsAt": "2019-08-24T14:15:22Z"
}
}